package co.yixiang.yshop.module.cart.controller.admin.storecart.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import co.yixiang.yshop.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static co.yixiang.yshop.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 购物车分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StoreCartPageReqVO extends PageParam {

    @Schema(description = "用户ID", example = "10667")
    private Long uid;

    @Schema(description = "类型", example = "1")
    private String type;

    @Schema(description = "商品ID", example = "1696")
    private Long productId;

    @Schema(description = "商品属性")
    private String productAttrUnique;

    @Schema(description = "商品数量")
    private Short cartNum;

    @Schema(description = "0 = 未购买 1 = 已购买")
    private Boolean isPay;

    @Schema(description = "是否为立即购买")
    private Boolean isNew;

    @Schema(description = "拼团id", example = "13847")
    private Integer combinationId;

    @Schema(description = "秒杀产品ID", example = "8790")
    private Integer seckillId;

    @Schema(description = "砍价id", example = "21581")
    private Integer bargainId;

    @Schema(description = "添加时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
