package co.yixiang.yshop.module.order.controller.app.order.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * @ClassName OrderParam
 * @Author hupeng <610796224@qq.com>
 * @Date 2023/6/20
 **/
@Data
public class AppOrderParam implements Serializable {

    @Schema(description = "地址ID", required = true)
    private String addressId;

    @Schema(description = "砍价产品ID", required = true)
    private String bargainId;

    @Schema(description = "拼团ID", required = true)
    private String combinationId;

    @Schema(description = "优惠券ID", required = true)
    private String couponId;

    @Schema(description = "来源 AppFromEnum", required = true)
    private String from;

    @Size(max = 200,message = "长度超过了限制")
    @Schema(description = "备注", required = true)
    private String mark;


    @Schema(description = "拼团id 0没有拼团", required = true)
    private String pinkId;

    @Schema(description = "秒杀产品ID", required = true)
    private String seckillId;

    @Schema(description = "配送方式 1=快递 ，2=门店自提", required = true)
    private String shippingType;

    @Schema(description = "使用积分 1-表示使用", required = true)
    private String useIntegral;

    @Schema(description = "支付渠道(0微信公众号1微信小程序)", required = true)
    private String isChannel;


}
