package co.yixiang.yshop.module.order.service.storeaftersales;

import java.math.BigDecimal;
import java.util.*;
import javax.validation.*;
import co.yixiang.yshop.module.order.controller.admin.storeaftersales.vo.*;
import co.yixiang.yshop.module.order.dal.dataobject.storeaftersales.StoreAfterSalesDO;
import co.yixiang.yshop.framework.common.pojo.PageResult;

/**
 * 售后记录 Service 接口
 *
 * @author yshop
 */
public interface StoreAfterSalesService {


    /**
     * 更新售后记录
     *
     * @param updateReqVO 更新信息
     */
    void updateStoreAfterSales(@Valid StoreAfterSalesUpdateReqVO updateReqVO);


    /**
     * 立即退款
     *
     * @param id 编号
     */
    void payStoreAfterSales(Long id);


    /**
     * 获得售后记录
     *
     * @param id 编号
     * @return 售后记录
     */
    StoreAfterSalesDO getStoreAfterSales(Long id);


    /**
     * 获得售后记录分页
     *
     * @param pageReqVO 分页查询
     * @return 售后记录分页
     */
    PageResult<StoreAfterSalesRespVO> getStoreAfterSalesPage(StoreAfterSalesPageReqVO pageReqVO);





}
